clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::TypeInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::TypeInfo:
[legend]
Collaboration diagram for clang::doc::TypeInfo:
[legend]

## Public Member Functions
| TypeInfo ()=default
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT)
| TypeInfo (llvm::StringRef RefName)
bool | operator== (const TypeInfo &Other) const

## Public Attributes
Reference | Type

## Detailed Description

Definition at line 94 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ TypeInfo() [1/3]

clang::doc::TypeInfo::TypeInfo | ( |  | ) |
| default

## ◆ TypeInfo() [2/3]

clang::doc::TypeInfo::TypeInfo | ( | SymbolID | Type,
|  | StringRef | Field,
|  | InfoType | IT
| ) |  |
| inline

Definition at line 96 of file Representation.h.

## ◆ TypeInfo() [3/3]

clang::doc::TypeInfo::TypeInfo | ( | llvm::StringRef | RefName | ) |
| inline

Definition at line 98 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::TypeInfo::operator== | ( | const TypeInfo & | Other | ) | const
| inline

Definition at line 100 of file Representation.h.

References Type.

## Member Data Documentation

## ◆ Type

Reference clang::doc::TypeInfo::Type

Definition at line 102 of file Representation.h.

Referenced by clang::doc::addReference(), clang::doc::ClangDocBitcodeWriter::emitBlock(), clang::doc::genMarkdown(), operator==(), clang::doc::FieldTypeInfo::operator==(), clang::doc::MemberTypeInfo::operator==(), and llvm::yaml::TypeInfoMapping().

The documentation for this struct was generated from the following file:

- Representation.h